# =================================================================
# Test server setting, shouldn't be touched in online game server
# =================================================================

Assert = False
Developer = False
# If true the server will be a test server (listed by clients setted up to list test server)
TestServer = False

# =================================================================
# Additional server setting, not required, can be left at defaults
# =================================================================

# Setting for server List
# Displays [] in front of server name
ServerListBrackets = False
ServerB1UNK = False
# Displays a clock next to the server name (relax server)
ServerListClock = True
ServerShowName = True
# If true, the server will be set as gm only at startup
ServerGMOnly = False
ServerPvPEnabled = True
# Minimum player age
ServerAgeLimitation = 0

# Zone Setting
#   0 = Peace All the Time
#   1 = PVP During Siege for siege participants
#   2 = PVP All the Time
ZoneTown = 0

# Chat configuration
# Values: GLOBAL, REGION, GM, OFF
# Global Chat - Default: REGION
GlobalChat = REGION
# Time limit between using Global Chat in 100ms
GlobalChatTime = 1
# Trade Chat - Default: REGION
TradeChat = REGION
# Time limit between using Trade Chat in 100ms
TradeChatTime = 1

# Time limit between using Social Actions in 100 ms
# Retail: 0
SocialTime = 26

# If set to true, players who block other players will not longer receive their messages in global/trade/region chats.
RegionChatAlsoBlocked = False

# Player punishment for illegal actions
#   1 - broadcast warning to gms only
#   2 - kick player(default)
#   3 - kick & ban player
#   4 - jail player (define minutes of jail with param: 0 = infinite)
DefaultPunish = 2
DefaultPunishParam = 0
# Ban the player if he is definitely using a client emulator (L2W, L2Divine, L2NET, etc)
AutoBanClientEmulators = True

# Enforce gameguard for clients. Sends a gameguard query on character login.
GameGuardEnforce = False
# Don't allow player to perform trade, talk with npc, or move until gameguard reply is received.
GameGuardProhibitAction = False

# Allow delete chars after nnn days, 0 - feature disabled
DeleteCharAfterDays = 2


# =================================================================
# Server optimizations
# =================================================================
# === Items on ground management ===
# Delete from world dropped reward items after n seconds. 0 - disabled
AutoDestroyDroppedItemAfter = 600
# Time in secs after which dropped herb will be auto destroyed (default: 15 seconds)
AutoDestroyHerbTime = 60
# List of item id that will not be destroyed (separated by "," like 57,5575,6673).
# NOTE: Make sure the lists do NOT CONTAIN trailing spaces or spaces between the numbers!
# Items on this list will be protected regardless below options
# Default: 0
ListOfProtectedItems = 0

# This is the interval (in minutes), that the game server will update a players information such as location.
# The higher you set this number, there will be less character information saving so you will have less access to MySQL and your Hard Drive.
# The lower you set this number, there will be more frequent character information saving so you will have more access to your MySQL and your Hard Drive.
# A value of 0 disables periodic saving.
# Independent of this setting the character is always saved after leaving the world.
CharacterDataStoreInterval = 15

# This enables the server to only update items when saving the character
# Enabling this greatly reduces DB usage and improves performance.
# WARNING: This option causes item loss during crashes
LazyItemsUpdate = False

# This forces(even if using lazy item updates) the items owned by the character to be updated into DB when saving its character
# Increases DB usage
UpdateItemsOnCharStore = False

# also delete from world misc. items dropped by players (all except equipable items)
# NOTE: work only if AutoDestroyDroppedItemAfter > 0
DestroyPlayerDroppedItem = False
# Destroy also equipable items (armor, weapon, jewelry)
# NOTE: Work only if DestroyPlayerDroppedItem = True
DestroyEquipableItem = False
# Destroy player dropped items from inventory
DestroyPlayerInventoryDrop = False

# save into DB dropped items for restoring after reboot
SaveDroppedItem = False
# Empty table after items are loaded into memory - safety setting
# if server crash before saving items, on next start old items will be restored
# and players may already picked up some of them - so this will prevent duplicates
EmptyDroppedItemTableAfterLoad = False
# Time interval in minutes to save in DB items on ground, 0 to disable
# NOTE: If SaveDroppedItemInterval is disabled items will be saved into DB only at server shutdown
SaveDroppedItemInterval = 60
# delete all saved items form DB On next start
# NOTE: Work only if SaveDroppedItem = False
ClearDroppedItemTable = False
# --------------------------------------------
# Delete invalid quest from player
AutoDeleteInvalidQuestData = False
# Allows creating multiple nonstackable items at one time
MultipleItemDrop = True

# Forces full item inventory packet to be sent for any item change
# Note: This can increase network traffic
ForceInventoryUpdate = False

# Maximum range mobs can randomly go from spawn point
MaxDriftRange = 200

# Minimum and maximum variable in seconds for NPC animation delay.
# You must keep MinNPCAnimation <= MaxNPCAnimation.
# "0" is default value.
MinNPCAnimation = 10
MaxNPCAnimation = 20
MinMonsterAnimation = 5
MaxMonsterAnimation = 20

# Show L2Monster level and aggro
ShowNpcLevel = False

# Restore the Player's Instance on EnterWorld
# Retail: False
RestorePlayerInstance = False

# Set whether summon skills can be used to summon players inside an instance
# When enabled individual instances can have summoning disabled in instance xml's
AllowSummonToInstance = True


# =================================================================
# Additional features than can be enabled or disabled
# =================================================================
# If you are experiencing problems with Warehouse or Freight transactions,
# feel free to disable them here. (They are both enabled by default).
AllowWarehouse = True
# Warehouse Sorting
EnableWarehouseSortingClan = False
EnableWarehouseSortingPrivate = False
EnableWarehouseSortingFreight = False
# Enable Warehouse Cache - if WH is not used will server clear memory used by this WH
WarehouseCache = False
# How long Warehouse should be store in Memory
WarehouseCacheTime = 15
AllowFreight = True
# If True player can try on weapon and armor in shop
# Each Item tried cost Wear Price adena
AllowWear = False
WearDelay = 5
WearPrice = 10
AllowLottery = False
AllowRace = False
AllowWater = True
# Enable pet for rent (wyvern & strider) from pet managers
AllowRentPet = False
# Allow players to drop items on the ground
AllowDiscardItem = True
# Allow fishing disabled until all code uploaded
AllowFishing = True
# Allow boat
AllowBoat = False
# Allow cursed weapons
AllowCursedWeapons = False
# Allow Wedding
AllowWedding = True
# If you wish to disable the use of guards against aggressive monsters.
# Default is False.
AllowGuards = False
# =============== Test features ===============
# Allow Manor
AllowManor = False
# Allow WalkerNPC
AllowNpcWalkers = False
# Allow Pet managers pets walking
AllowPetWalkers = False

# Apply default punish if player buy items for zero adena
OnlyGMItemsFree = True

# =================================================================
# Logging features
# =================================================================
# Logging Chat Window
LogChat = False
# Logging Item handling NOTE: This can be very space consuming if enabled for all items.
LogItems = True
# Log GM actions - Only supported if used with AltPrivilegesAdmin = True
GMAudit = True


# =================================================================
# Community board configuration
# =================================================================
# Type of the Community board
# 0 = community is disabled
# 1 = old community [default]
# 2 = full community (not fully implemented, experimental)
CommunityType = 2

BBSShowPlayerList = False
BBSDefault = _bbshome
# Show level of character to others in Community Board
ShowLevelOnCommunityBoard = False
ShowStatusOnCommunityBoard = True
# Count of players to show on each of community pages
# Can be displayed more then 70 players on each page
# Default set 50 max 70
NamePageSizeOnCommunityBoard = 50
NamePerRowOnCommunityBoard = 5
# Show a legend with the meaning of the different name colors in Community Board
ShowLegend = False
# Show in red color Cursed Weapon(s) Owner(s) in Community Board
# Default = False
ShowCursedWeaponOwner = False
# Show in green color Clan Leaders in Community Board
ShowClanLeader = False
ShowClanLeaderAtClanLevel = 3
# Show in pink color players with karma in Community Board
ShowKarmaPlayers = False
# Show in grey color players who are jailed in Community Board
ShowJailedPlayers = False


# =================================================================
# Threads configuration
# =================================================================

# Default 2
BaseThreadPoolSize = 4

# Default 4
ExtraThreadPerCore = 8

# Grid options: Grids can now turn themselves on and off. This also affects
# the loading and processing of all AI tasks and (in the future) geodata
# within this grid.
# Turn on for a grid with a person in it is immediate, but it then turns on
# the 8 neighboring grids based on the specified number of seconds.
# Turn off for self and neighbors occurs after the specified number of
# seconds have passed during which a grid has had no players in or in
# any of its neighbors.
# The always on option allows to ignore all this and let all grids be active
# at all times (not suggested)
GridsAlwaysOn = False
GridNeighborTurnOnTime = 1
GridNeighborTurnOffTime = 90

# This is setting of Client <--> Server Player coordinates synchronization,
#  -1 - Will synchronize only Z from Client --> Server. Default when no geodata.
#   1 - Synchronization Client --> Server only. Using this option (without geodata) it is more difficult for players to bypass obstacles
#   2 - Intended for geodata (at least when cell-level pathfinding, otherwise can try -1 also)! 
#       Server sends validation packet if client goes too far from server calculated coordinates.
CoordSynchronize = -1

# Show Welcome HTML file when player enter game
ShowHTMLWelcome = True

# Show server version + license when player enter game.
ShowLicense = True

# Show Newbie HTML file when player is lower to a level
ShowHTMLNewbie = False
# Need ShowHTMLNewbie = True
LevelShowHTMLNewbie = 10

# Show separate HTML file for GMs
ShowHTMLGm = False

# Enable Say filter (censors all words from sayfilter.txt)
UseSayFilter = True

# Show Online Players number at startup
ShowOnlinePlayersAtStartup = False
# Set time interval in ms to announce online players number (0 - don't announce)
OnlinePlayersAnnounceInterval = 0

# Check and delete unlegit skills on EnterWorld
CheckSkillsOnEnter = False

# ---------------------------------------------
# List of Skills that are allowed for all Classes if CheckSkillsOnEnter = True
# ---------------------------------------------
AllowedSkills =

# VIP characters configuration
# Color of VIP's name (Must be RGB html color: FFCC00 = Orange)
# http://www.immigration-usa.com/html_colors.html
CharViPSkipSkillsCheck = False
CharViPAllowColor = False
CharViPNameColor = FFCC00

# Alternative config used for critical craft/masterwork?
# False = recipes.xml based
# True = rates.properties based
AltMasterworkConfig = False

# Allow Masterwork Items craft
AllowMasterwork = False

# Allow Critical Craft
AllowCriticalCraft = False

# Mail settings
MailStoreDeletedLetters = False

# ---------------------------------------
# Section: Offline Trade
# ---------------------------------------
# Allow offline Characters on Buy/Sell or Craft Window
AllowOfflineTrade = False

# For private manufacture mode,
AllowOfflineTradeCraft = True

# AllowColorName characters in offline mode
AllowOfflineTradeColorName = True

# Color charcters name in offline mode
# Default = 999999 - yellow gray
OfflineTradeColorName = 999999

# Protect offline traders
# if true - any characters not may be physical attack offline traders
AllowOfflineTradeProtection = True

# Price for offline trade
OfflineTradePrice = 0
OfflineTradePriceItem = 57

# Restore offline traders after restart
# Default: False
EnableOfflineTradersRestore = False


# ---------------------------------------
# Section: Auction System
# ---------------------------------------
# Special Currency for auction, only one item
AuctionSpecialCurrency = 10639
# Icon for the special currency
AuctionSpecialCurrencyIcon = mouse_coin_i00
# List of items that are not allowed to be put up for auction
AuctionExcludedItems = 57,5575
# List of items that are allowed to be put up for auction
AuctionIncludedItems = 8575


# -------------------------------------------------------------
# Debug & Dev config
# -------------------------------------------------------------
# Don't load quests
AltDevNoQuests = False
# Don't load spawn table
AltDevNoSpawns = False
# Don't load htmls [to cache on startup]
AltDevNoHtmls = False
# Interactive Jython Shell
EnableJythonShell = False
# Show a warning about each wrong npcskills entry (no such npc or skill id/lvl)
AltDevVerifyNpcSkills = False

# Interval in ms to check for deadlocks, 0 to disable
DeadLockCheck = 10000

# How to send packets when a char logs in:
# False - flush 'em all at once (with hope we overload/crash the client)
# True - send them in portions (without visible difference)
# Use only if you experience critical errors when logging in to character!
DiscreteStarterPackets = False
# Effective only when parameter above is enabled
StarterPacketTick = 100
StarterPacketsPerTick = 10

# When enabled, after player posts the first ticket waits this amount of time in ms
# before flushing all mercenary position data to db.
# When disabled (=0), only the change is saved, but db will be queried each time a
# player uses/picks up a posting ticket.
MercenaryPosUpdateDelay = 90000

# After player changes target from object A to object B, server
# will ignore all attack requests for object A for X millis.
# If it sounds unsafe to you, even 500 produces no sensible side-effects.
# Do not use 0 unless you use a local server. You can use 100 for a LAN-restricted server.
CannotRetargetFor = 400

# =================================================================
# Database Backup Manager
# =================================================================
# To use this feature you need:
# * to have mysqldump installed 
# * correct path to mysqldump specified
# * to have privileges to execute mysqldump
# * to have privileges to create directories inside datapack directory  
DatabaseBackupMakeBackupOnStartup = False
DatabaseBackupMakeBackupOnShutdown = True
DatabaseBackupDatabaseName = SoDGS
DatabaseBackupSavePath = /backup/database/
# compress backup script to a zip file
DatabaseBackupCompression = True
DatabaseBackupMysqldumpPath = .

# Whether to optimize tables each time server is launched
OptimizeDatabaseTables = True

# Cache file for faster HTML load
HtmlCacheFile = ./html.cache

# If enabled, an owner of a duplicated item is automatically kicked and banned.
BanDuplicateItemOwner = True
